> ## Documentation Index
> Fetch the complete documentation index at: https://docs.bigcapital.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a refund for the given vendor credit.



## OpenAPI

````yaml api-reference/openapi.json post /api/vendor-credits/{vendorCreditId}/refund
openapi: 3.0.0
info:
  title: Bigcapital
  description: Financial accounting software
  version: '1.0'
  contact: {}
servers: []
security: []
tags: []
paths:
  /api/vendor-credits/{vendorCreditId}/refund:
    post:
      tags:
        - Vendor Credits Refunds
      summary: Create a refund for the given vendor credit.
      operationId: VendorCreditsRefundController_createRefundVendorCredit
      parameters:
        - name: Authorization
          in: header
          description: >-
            Value must be 'Bearer <token>' where <token> is an API key prefixed
            with 'bc_' or a JWT token.
          required: true
          schema:
            type: string
            example: Bearer bc_1234567890abcdef
        - name: organization-id
          in: header
          description: >-
            Required if Authorization is a JWT token. The organization ID to
            operate within.
          required: true
          schema:
            type: string
        - name: vendorCreditId
          required: true
          in: path
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/RefundVendorCreditDto'
      responses:
        '201':
          description: ''
components:
  schemas:
    RefundVendorCreditDto:
      type: object
      properties:
        amount:
          type: number
          description: The amount of the refund
          example: 100
        exchangeRate:
          type: number
          description: The exchange rate of the refund
          example: 1
        depositAccountId:
          type: number
          description: The id of the deposit account
          example: 1
        description:
          type: string
          description: The description of the refund
          example: Refund for vendor credit
        date:
          format: date-time
          type: string
          description: The date of the refund
          example: '2021-01-01'
        branchId:
          type: number
          description: The id of the branch
          example: 1
      required:
        - amount
        - exchangeRate
        - depositAccountId
        - description
        - date
        - branchId

````